###################################################################################################################################################
# Copyright 2015 Orchid Systems 
# -----------------------------
# Permitted for use with Orchid Systems Modules only.
# The code is supplied on an as is basis for training and demonstration purposes only and is not supported by Orchid Systems.
# If this code is deployed in a live production environment it is the responsibility of the End User to ensure 
# that it is operating as required.
###################################################################################################################################################


from accpac import *
# This sample limits a customers credit limit to $10,000, unless the user is ADMIN when the credit limit is limited to $20,000.

# onOpen is called when the view is opened.
# Return Continue to enable the macro.
# Return 0 to disable the macro.
# If you return anything else then the view will not load.
def onOpen():
	return Continue

def onBeforePut(e):
	#rvspyTrace("Put [" + str(e.value) + "] to [" + e.field + "]")
	if e.field == "AMTCRLIMT":
		if user == "ADMIN":
			if e.value > 20000:
				error("Maximum credit limit is $20,000")
				return 1
			return Continue
		if e.value > 10000:
			error("Maximum credit limit is $10,000")
			return 1
	return Continue
